package cn.pluss.platform.device;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.Device;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

public interface DeviceService  extends IService<Device> {

    public Device queryDevice(Device device);

    public List<Device> queryDeviceList(Device device);

    public void saveDevice(Device device);

    public void updateDevice(Device device);

    public void deleteDevice(Device device);

    public List<Device> queryDevicePage(Map map);

    public Integer queryDevicePageCount(Map map);

    public void saveDeviceBatch(List<Device> deviceList);

    Page<Device> pageDate(Page<Device> page, Device device);

    Device getDeviceId(Integer id);
}

